﻿using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Foundation;
using Syncfusion.SfChart.iOS;
using UIKit;

namespace RealTimeData
{
	public partial class ViewController : UIViewController
	{

		SFChart chart;
		Random random;
		ObservableCollection<ChartModel> DataPoints { get; set; }
		
		protected ViewController(IntPtr handle) : base(handle)
		{
			// Note: this .ctor should not contain any initialization logic.
		}

		public override void DidReceiveMemoryWarning()
		{
			base.DidReceiveMemoryWarning();
			// Release any cached data, images, etc that aren't in use.
		}

		public override void ViewDidLoad()
		{
			base.ViewDidLoad();

			chart = new SFChart();
			DataPoints = new ObservableCollection<ChartModel>();
			random = new Random();
		

			chart.Title.Text = new NSString("Chart");
			chart.Frame = new CoreGraphics.CGRect(0, 0, View.Frame.Width, View.Frame.Height);

            SFNumericalAxis xAxis = new SFNumericalAxis();
			
			chart.PrimaryAxis = xAxis;

			SFNumericalAxis yAxis = new SFNumericalAxis();
			chart.SecondaryAxis = yAxis;

            ColumnSeriesExt series = new ColumnSeriesExt();
			series.ItemsSource = DataPoints;
			series.XBindingPath = "XValue";
			series.YBindingPath = "YValue";
            series.EnableAnimation = true;
			chart.Series.Add(series);

            AddDataPoint();

			View.AddSubview(chart);
		}

		public override void ViewDidLayoutSubviews()
		{
			base.ViewDidLayoutSubviews();
		}

	
		private void AddDataPoint()
		{

			if (chart != null)
			{
				for (int i = 0; i < 10; i++)
				{
                    DataPoints.Add(new ChartModel(i, random.NextDouble()));		
				}
			}
		}
	}

}

public class ChartModel
{
    public double XValue { get; set; }

	public double YValue { get; set; }

    public ChartModel(double xValue, double yValue)
	{
		XValue = xValue;
		YValue = yValue;
	}
}
